<?php
/**
 * Piwik - free/libre analytics platform
 *
 * @link http://piwik.org
 * @license http://www.gnu.org/licenses/gpl-3.0.html GPL v3 or later
 *
 */
namespace Piwik\Plugins\TapatalkReport;

use Piwik\DataTable;
use Piwik\DataTable\Row;
use Piwik\Archive;
use Piwik\Piwik;


/**
 * API for plugin TapatalkReport
 *
 * @method static \Piwik\Plugins\TapatalkReport\API getInstance()
 */
class API extends \Piwik\Plugin\API
{
	const ADS_REQUEST_RECORD_NAME   = 'TapatalkReport_adsrequest';
    const ADS_DISPLAY_RECORD_NAME   = 'TapatalkReport_adsdisplay';

    public function getAdsRecords($idSite, $period, $date){
    	Piwik::checkUserHasViewAccess($idSite);
        $archive = Archive::build($idSite, $period, $date);
        $colums = array(self::ADS_REQUEST_RECORD_NAME, self::ADS_DISPLAY_RECORD_NAME);
        $dataTable = $archive->getDataTableFromNumeric($colums);
        return $dataTable;
    }
}
